% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/41_refined_anchored_lasso.R
\name{combine_folds_mean_diff}
\alias{combine_folds_mean_diff}
\title{Combine fold-level test statistics from cross-validation}
\usage{
combine_folds_mean_diff(fold_data, verbose = FALSE)
}
\arguments{
\item{fold_data}{A list of results from \code{process_fold_mean_diff()}, one for each fold.}

\item{verbose}{Logical. Whether to print diagnostic messages. Default is FALSE.}
}
\value{
A list containing:
\describe{
\item{p_value}{Two-sided p-value for the overall test statistic.}
\item{test_statistic}{Standardized test statistic.}
\item{fold_data}{Original input list, for reference or diagnostics.}
}
}
\description{
Aggregates fold-level test statistics and variances to compute an overall test statistic and p-value.
}
